# Strategies (Cryptohopper API)

Your trading strategies and the strategies you got from the marketplace.

- [Get strategies](https://www.cryptohopper.com/api-documentation/api-reference/strategies/get-strategies.md): `GET /strategy`
- [Create strategy](https://www.cryptohopper.com/api-documentation/api-reference/strategies/create-strategy.md): `POST /strategy`
- [Get market strategies](https://www.cryptohopper.com/api-documentation/api-reference/strategies/get-market-strategies.md): `GET /strategy/market`
- [Get market strategy](https://www.cryptohopper.com/api-documentation/api-reference/strategies/get-market-strategy.md): `GET /strategy/market/{strategy_id}`
- [Delete market strategy](https://www.cryptohopper.com/api-documentation/api-reference/strategies/delete-market-strategy.md): `DELETE /strategy/market/{strategy_id}`
- [Get AI models](https://www.cryptohopper.com/api-documentation/api-reference/strategies/get-strategy-models.md): `GET /strategy/models`
- [Get strategy](https://www.cryptohopper.com/api-documentation/api-reference/strategies/get-strategy.md): `GET /strategy/{strategy_id}`
- [Update strategy](https://www.cryptohopper.com/api-documentation/api-reference/strategies/update-strategy.md): `PATCH /strategy/{strategy_id}`
- [Delete strategy](https://www.cryptohopper.com/api-documentation/api-reference/strategies/delete-strategy.md): `DELETE /strategy/{strategy_id}`
- [Generate a strategy with AI](https://www.cryptohopper.com/api-documentation/api-reference/strategies/post-strategy-strategy-id-aigenerate.md): `POST /strategy/{strategy_id}/aigenerate`
- [Change the image of a strategy](https://www.cryptohopper.com/api-documentation/api-reference/strategies/change-image-of-strategy.md): `POST /strategy/{strategy_id}/changeimage`

